Last Comment Bug 720328 - Update LDAP c-sdk to LDAPCSDK_6_0_7D_RTM
: Update LDAP c-sdk to LDAPCSDK_6_0_7D_RTM
Status: RESOLVED FIXED
:
Product: MailNews Core
Classification: Components
Component: Build Config (show other bugs)
: Trunk
: All All
: -- normal (vote)
: Thunderbird 12.0
Assigned To: Mark Banner (:standard8)
:
Mentors:
Depends on: 712785 720373
Blocks:
  Show dependency treegraph
 
Reported: 2012-01-23 02:08 PST by Mark Banner (:standard8)
Modified: 2013-01-24 05:11 PST (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
The fix (504 bytes, patch)
2012-01-23 02:08 PST, Mark Banner (:standard8)
no flags Details | Diff | Splinter Review
The fix v2 (505 bytes, patch)
2012-01-24 06:33 PST, Mark Banner (:standard8)
mozilla: review+
Details | Diff | Splinter Review

Description Mark Banner (:standard8) 2012-01-23 02:08:53 PST
Created attachment 590663 [details] [diff] [review]
The fix

I've just landed bug 712785 in the LDAP c-sdk. This is a build config change which will stop us rebuilding the LDAP xpcom files everytime through a full build and will mean we shouldn't have to rebuild the XUL library for every rebuild if nothing has changed.

This should save the builders a bit of time, and hopefully some developers as well.

I tagged the LDAP sdks LDAPCSDK_6_0_7C_RTM which allows us to pick it up.
Comment 1 :aceman 2012-01-23 03:28:30 PST
Hi. Does this actually get pulled into libxul? Isn't it in a separate library? When this lands I will test it and look for any other offending files (causing relink).
Thanks for fixing this.
Comment 2 Mark Banner (:standard8) 2012-01-23 03:48:51 PST
(In reply to :aceman from comment #1)
> Does this actually get pulled into libxul? Isn't it in a separate
> library?

The LDAP c-sdk (in ldap/sdks/c-sdk) is a separate library, however the ldap-standard.h is included in the LDAP xpcom files (in ldap/xpcom) and those files are pulled into libxul.

> When this lands I will test it and look for any other offending
> files (causing relink).

Bug 714365 is at least one of those.
Comment 3 :aceman 2012-01-23 04:25:14 PST
Thanks.

I think the --disable-ldap option does not work (that is why I must have it enabled and get hit by bug 712785).
Can you look at it or should I file that separately?
Comment 4 Mark Banner (:standard8) 2012-01-23 04:44:20 PST
I believe there's already work in progress that will make that work properly.
Comment 5 :aceman 2012-01-23 04:50:02 PST
Yeah, it is Bug 599615. But it looks like the progress on it and its blocker stopped in 2011-08
Comment 6 Mark Banner (:standard8) 2012-01-24 06:32:15 PST
I'm going to "D" because I want to incorporate bug 720373 as well which just landed.
Comment 7 Mark Banner (:standard8) 2012-01-24 06:33:06 PST
Created attachment 591072 [details] [diff] [review]
The fix v2
Comment 8 Mark Banner (:standard8) 2012-01-24 10:07:53 PST
Checked in: http://hg.mozilla.org/comm-central/rev/568c0a31db46

Note You need to log in before you can comment on or make changes to this bug.